# Create a new Project

To create a new Project, select the option **Create a new Project** in the Open Project view once the log in is completed. &#x20;

![](/files/-MR-S3SQE3RI1NrauuJ4)

Enter a Project name and select the Template set that should be used for the Project. Click **OK** to create and load the new project. (To cancel, navigate backward in the browser).

{% hint style="info" %}
Note! To create a project, your User needs to be a [Web Admin](/aligned-elements-web-client-user-manual/3.2.287.25450/web-administrator-tools/manage-user-roles.md)!
{% endhint %}

{% hint style="info" %}
Note! The templates available are determined by the Company name assigned to the current user and corresponds to the company name defined in the web-configuration for *elementServerTemplate*. &#x20;
{% endhint %}

{% hint style="info" %}
Note! A Project name may not contain hyphens or start or end with white spaces.
{% endhint %}

### Automating Project Preparations

Projects are often prepared with standard customer specific data that is outside of the scope of the project templates. E.g., default chapter structures, list of users, project settings, or default dashboards. As an option to manually perform the creation of such content, this can be prepared using the Aligned Elements Automation Tool (see [The Automation Tool](https://app.gitbook.com/@aligned/s/aligned-elements-web-client-user-manual/~/edit/drafts/-LhZrrLY7ykTPd6sCO7j/aligned-elements-automation-tool/aligned-elements-automation-tool) for details).&#x20;

To run prepared scripts using the Automation Tool at project creation, the server needs to have the tool installed and have a reference to the tool listed in the web-configuration as the example below shows:

```
<elementAutomationScripts>
    <automationScripts>
      <add key="1" name="Test configuration" exePath="C:\Program Files (x86)\Aligned AG\Elements Automation Tool\Elements.AutomationToolConsole.exe" scriptPathForAutomationTool="<path to script>" arguments="{project}{server}" company="<your company>"/>
    </automationScripts>
  </elementAutomationScripts>
```

{% hint style="info" %}
Note! If 'scriptPathForAutomationTool' is set, the executable is automatically started passing all available arguments for the Elements Automation Tool to run the script.

If arguments are set, the executable is started with these where {project} and/or {server} is replaced with the current values prior to passing the arguments to the executable. In this case, the executable can also be a 3rd party tool.
{% endhint %}

{% embed url="<https://youtu.be/HVAMCNneFNc>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aligned.ch/aligned-elements-web-client-user-manual/3.2.287.25450/get-started/create-a-new-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
